> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valar.space/llms.txt
> Use this file to discover all available pages before exploring further.

# List stored maneuvers



## OpenAPI

````yaml https://api.valar.space/api-docs/mintlify get /operations/maneuvers
openapi: 3.0.1
info:
  contact:
    email: api@valar.space
    name: Valar Space
    url: https://valar.space
  description: >-
    <H4>Welcome to the documentation for the Valar Operations API, here are some
    quick tips if you just landed!</H4><ol><li> The top level elements are the
    <b>Resources</b> accessible via the API and the different queries used to
    interact with each resource via the appropriate HTTP method call.</li><li>
    You can expand each method to get further information on the expected input
    parameters and the different responses that can be received.</li><li>For
    both the input parameters and responses, an <b>Example</b> is present for
    clarification.</li><li>For further details, the example snipped can be
    switched to <b>Schema</b> view, where a detailed explanation of each element
    can be found.</li><li>The <b>Try it out</b> button can be used to call the
    API directly from the documentation page, which allows for some easy testing
    and also provides the equivalent 'curl' command line code for easy
    portability of the call execution.</li><li><b>Before starting</b>, select
    <b>Authorize</b> and enter your API key. The key is sent as a bearer token
    in the <code>Authorization</code> header.</li></ol>
  title: API Documentation
  version: 1.0.0
servers:
  - url: https://api.valar.space
    description: VALAR API Server
  - url: https://api.valar.space
    description: API Server
security:
  - apiKeyAuth: []
tags:
  - description: >-
      Operations for managing state vectors — listing, importing, exporting, and
      deleting spacecraft state data
    name: State Vectors
  - description: Register, list, read, update, and manage the lifecycle of your spacecraft.
    name: Spacecraft
  - description: Manage the thrusters mounted on a spacecraft.
    name: Thrusters
  - description: Manage the payloads (sensors) mounted on a spacecraft.
    name: Payloads
  - description: >-
      Maneuver API 2.0.0: create, read, edit, delete, import, and export
      spacecraft maneuvers.
    name: Maneuvers
paths:
  /operations/maneuvers:
    get:
      tags:
        - Maneuvers
      summary: List stored maneuvers
      operationId: getOperationsManeuvers
      parameters:
        - in: query
          name: spacecraftIds
          required: true
          schema:
            maxItems: 50
            minItems: 1
            type: array
            items:
              type: string
        - in: query
          name: startDate
          required: true
          schema:
            type: string
            format: date-time
        - in: query
          name: endDate
          required: true
          schema:
            type: string
            format: date-time
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseManeuverResponse'
          description: Wrapped maneuver list
      security:
        - apiKeyAuth: []
components:
  schemas:
    ListResponseManeuverResponse:
      type: object
      properties:
        items:
          type: array
          description: The list of items
          items:
            $ref: '#/components/schemas/ManeuverResponse'
        totalCount:
          type: integer
          description: Total number of items in the list
          format: int32
          example: 5
      description: Wrapper for non-paginated list responses
    ManeuverResponse:
      type: object
      properties:
        azimuthDeviation:
          type: number
          format: double
        conflictingManeuverIds:
          type: array
          items:
            type: string
        creationDate:
          type: string
        displayId:
          type: string
        elevationDeviation:
          type: number
          format: double
        epoch:
          type: string
        estimatedTotalDeltaV:
          type: number
          format: double
        maneuverComposition:
          type: array
          items:
            $ref: '#/components/schemas/ManeuverComposition'
        maneuverId:
          type: string
        name:
          type: string
        normPerformance:
          type: number
          format: double
        performance:
          type: number
          format: double
        referenceFrame:
          type: string
        spacecraftId:
          type: string
        totalDeltaMass:
          type: number
          format: double
        totalDeltaV:
          type: number
          format: double
        totalDuration:
          type: number
          format: double
      description: The list of items
    ManeuverComposition:
      type: object
      properties:
        deltaMass:
          type: number
          format: double
        deltaV1:
          type: number
          format: double
        deltaV2:
          type: number
          format: double
        deltaV3:
          type: number
          format: double
        duration:
          type: number
          format: double
        epoch:
          type: string
        referenceFrame:
          type: string
  securitySchemes:
    apiKeyAuth:
      description: 'API Key (format: vsp_sk_...)'
      scheme: bearer
      type: http

````